import type { Config } from 'prettier';

const prettier: Config = {
  arrowParens: 'avoid',
  tabWidth: 2,
  printWidth: 90,
  semi: true,
  singleQuote: true,
  trailingComma: 'all',
  plugins: [],
};

export default function defineConfig(
  config: Partial<Config> & {
    tailwind?: boolean;
  },
) {
  const result: Config = {
    ...prettier,
    ...config,
  };

  return result;
}
